DLS::range_t Struct Reference

Lower and upper limit of a range. More...

`#include <DLS.h>`

## Public Member Functions

bool | operator< (const range_t &other) const
bool | operator== (const range_t &other) const
bool | overlaps (uint16_t scalar) const
bool | overlaps (const range_t &other) const

## Public Attributes

uint16_t | low
| Low value of range.
uint16_t | high
| High value of range.

## Detailed Description

Lower and upper limit of a range.

Definition at line 210 of file DLS.h.

## Member Function Documentation

## operator<()

bool DLS::range_t::operator< | ( | const range_t & | other | ) | const

inline

Definition at line 214 of file DLS.h.

## operator==()

bool DLS::range_t::operator== | ( | const range_t & | other | ) | const

inline

Definition at line 220 of file DLS.h.

## overlaps() [1/2]

bool DLS::range_t::overlaps | ( | const range_t & | other | ) | const

inline

Definition at line 228 of file DLS.h.

## overlaps() [2/2]

bool DLS::range_t::overlaps | ( | uint16_t | scalar | ) | const

inline

Definition at line 224 of file DLS.h.

## Member Data Documentation

## high

uint16_t DLS::range_t::high

High value of range.

Definition at line 212 of file DLS.h.

Referenced by DLS::Region::CopyAssign().

## low

uint16_t DLS::range_t::low

Low value of range.

Definition at line 211 of file DLS.h.

Referenced by DLS::Region::CopyAssign().

The documentation for this struct was generated from the following file:

- DLS.h